Advanced notice of blog upgrade

I’ve decided! Enough is enough. I’ve run my blog under WordPress 1.2 for long enough. I need to upgrade to the latest version, WordPress 1.5.2. And the sooner the better.

WordPress logo

One reason is that I’m currently deleting over 200 spam comments a day, and that’s even with Spam Karma 1 installed, and a couple of other anti-spam tweaks. The new version is so much better, more secure, more adaptable, and Spam Karma 2 is only available for it! Besides I’m already using it effectively on a number of websites with no trouble, and I really like it.

The only problem is that my blog is currently integrated into the current design of my website, which I also want to upgrade in the next couple of months (and that is quite a big job ahead of me!). I also have to work out how to keep my https://www.garethjmsaunders.co.uk address for the blog. I suspect it will have something to do with some .htaccess tweaking (that’s a file on the web server that automatically handles redirects). So, it may be that the blog has the default WordPress theme for a couple of months while I explore possibilities and build a new site.

But the blog will move to WordPress 1.5.2 some time this week. If it all goes down for a couple of hours, that’s why. But I can assure you of one thing: I’m backing up everything first — MySQL database, server files, WordPress installation … everything!

Published by

Gareth Saunders

I’m Gareth J M Saunders, 47 years old, 6′ 4″, father of 3 boys (including twins). Latterly, web architect and agile project manager at the University of St Andrews and warden at Agnes Blackadder Hall. Currently on sabbatical. I am a priest in the Scottish Episcopal Church, and I sing with the NYCGB alumni choir.

Leave a Reply

Your email address will not be published. Required fields are marked *

This site uses Akismet to reduce spam. Learn how your comment data is processed.